Delete a cloud instance

DELETE/v1/cloud_computing/instances/{instance_id}

A cloud instance can be removed by sending a DELETE request to the /v1/cloud_computing/instances/{instance_id} endpoint. You need to select an instance by adding its ID in the path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

instance_id*string

A unique identifier of a cloud instance.

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/cloud_computing/instances/pmbk55ez"
{  "id": "pmbk55ez",  "openstack_uuid": "716f53e1-ab03-419e-8375-04626973a101",  "status": "DELETING",  "name": "name1362",  "region_id": 0,  "region_code": "NL01",  "flavor_id": "101",  "flavor_name": "SSD.1",  "image_id": "f6c9c585-627a-4113-af8c-a475f5f73a21",  "image_name": null,  "public_ipv4_address": "79.144.180.130",  "private_ipv4_address": null,  "local_ipv4_address": "252.88.255.84",  "public_ipv6_address": null,  "ipv6_enabled": false,  "gpn_enabled": false,  "created_at": "2026-05-28T07:06:17Z",  "updated_at": "2026-05-28T07:06:17Z",  "backup_copies": 0,  "public_port_blocked": false,  "labels": {}}
{  "message": "Instance locked",  "code": "CONFLICT"}
{  "message": "Region in maintenance mode",  "code": "CLOUD_REGION_MAINTENANCE"}